package com.sinosig.core.module.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.sinosig.core.module.domain.DBD;
import com.sinosig.core.module.filter.DBDSearchContext;

/**
 * 实体[DBD] 服务对象接口
 */

public interface IDBDService{
     boolean save(DBD dbd) ;
     boolean update(DBD dbd) ;
     DBD getDraft(DBD dbd) ;
     boolean create(DBD dbd) ;
     boolean checkKey(DBD dbd) ;
     boolean remove(String dbdid) ;
     DBD get(String dbdid) ;
     DBD get(DBD dbd) ;

    /**
     * 查询集合 DEFAULT
     */
     Page<DBD> searchDefault(DBDSearchContext context) ;

}
